Update ruleboard overview
curl --request PUT \
--url https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards/{ruleboardSlug}/overview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Custom Policy",
"assigned_repos": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards/{ruleboardSlug}/overview"
payload = {
"name": "My Custom Policy",
"assigned_repos": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Custom Policy', assigned_repos: ['<string>']})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards/{ruleboardSlug}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"slug": "<string>",
"default": true,
"assigned_repos": [
"<string>"
]
}Ruleboards
Update ruleboard overview
buf:lint:ignore RPC_REQUEST_RESPONSE_UNIQUE buf:lint:ignore RPC_RESPONSE_STANDARD_NAME
PUT
/
api
/
agent
/
deployments
/
{deploymentId}
/
ruleboards
/
{ruleboardSlug}
/
overview
Update ruleboard overview
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier of your deployment. Can be found via the Deployments Service or in your Settings in the web UI.
Example:
1234
Slug of the ruleboard as it appears in the URL.
Body
application/json
Was this page helpful?
⌘I